## org.apache.myfaces.renderkit.html
Class HtmlResponseStateManager

    java.lang.Object
      javax.faces.render.ResponseStateManager
          org.apache.myfaces.renderkit.MyfacesResponseStateManager
              org.apache.myfaces.renderkit.html.HtmlResponseStateManager

public class HtmlResponseStateManager
extends MyfacesResponseStateManager

Version:
  $Revision: 239628 $ $Date: 2005-08-24 08:22:07 -0400 (Wed, 24 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlResponseStateManager()`

Method Summary
`java.lang.Object` `getComponentStateToRestore(javax.faces.context.FacesContext facescontext)`
`java.lang.Object` `getTreeStructureToRestore(javax.faces.context.FacesContext facescontext, java.lang.String viewId)`
`void` `writeState(javax.faces.context.FacesContext facescontext, javax.faces.application.StateManager.SerializedView serializedview)` Writes hidden form inputs with the state info to be saved.
`void` `writeStateAsUrlParams(javax.faces.context.FacesContext facescontext, javax.faces.application.StateManager.SerializedView serializedview)` MyFaces extension

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlResponseStateManager

    public HtmlResponseStateManager()

Method Detail

### writeState

    public void writeState(javax.faces.context.FacesContext facescontext,
                           javax.faces.application.StateManager.SerializedView serializedview)
                    throws java.io.IOException

  Description copied from class: `MyfacesResponseStateManager`
  Writes hidden form inputs with the state info to be saved. `StateManager` delegates calls to `StateManager.writeState(javax.faces.context.FacesContext, javax.faces.application.StateManager.SerializedView)` to this method.

  Specified by:
    `writeState` in class `MyfacesResponseStateManager`
  Throws:
    `java.io.IOException`

### writeStateAsUrlParams

    public void writeStateAsUrlParams(javax.faces.context.FacesContext facescontext,
                                      javax.faces.application.StateManager.SerializedView serializedview)
                               throws java.io.IOException

  MyFaces extension

  Specified by:
    `writeStateAsUrlParams` in class `MyfacesResponseStateManager`
  Parameters:
    `facescontext` -
    `serializedview` -
  Throws:
    `java.io.IOException`

### getTreeStructureToRestore

    public java.lang.Object getTreeStructureToRestore(javax.faces.context.FacesContext facescontext,
                                                      java.lang.String viewId)

### getComponentStateToRestore

    public java.lang.Object getComponentStateToRestore(javax.faces.context.FacesContext facescontext)